Xalan-Java: Class XNull

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xpath
Class XNull

    java.lang.Object
      |
      +--org.apache.xalan.xpath.XObject
            |
            +--org.apache.xalan.xpath.XNull

public class XNull
extends XObject

This class represents an XPath null object, and is capable of converting the null to other types, such as a string.

See Also:
  Serialized Form

Fields inherited from class org.apache.xalan.xpath.XObject
`CLASS_BOOLEAN, CLASS_NODESET, CLASS_NULL, CLASS_NUMBER, CLASS_RTREEFRAG, CLASS_STRING, CLASS_UNKNOWN`

Constructor Summary
`XNull()` Create an XObject.

Method Summary
`boolean` | `bool()` Cast result object to a boolean.
`boolean` | `equals(XObject obj2)` Tell if two objects are functionally equal.
`int` | `getType()` Tell what kind of class this is.
`org.w3c.dom.NodeList` | `nodeset()` Cast result object to a nodelist.
`double` | `num()` Cast result object to a number.
`org.w3c.dom.DocumentFragment` | `rtree(XPathSupport support)` Cast result object to a result tree fragment.
`java.lang.String` | `str()` Cast result object to a string.

Methods inherited from class org.apache.xalan.xpath.XObject
`castToType, greaterThan, greaterThanOrEqual, lessThan, lessThanOrEqual, mutableNodeset, notEquals, object, rtree, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XNull

    public XNull()

  Create an XObject.

Method Detail

### getType

    public int getType()

  Tell what kind of class this is.
  Overrides:
    getType in class XObject

### num

    public double num()

  Cast result object to a number.
  Overrides:
    num in class XObject

### bool

    public boolean bool()

  Cast result object to a boolean.
  Overrides:
    bool in class XObject

### str

    public java.lang.String str()

  Cast result object to a string.
  Overrides:
    str in class XObject

### rtree

    public org.w3c.dom.DocumentFragment rtree(XPathSupport support)

  Cast result object to a result tree fragment.
  Overrides:
    rtree in class XObject

### nodeset

    public org.w3c.dom.NodeList nodeset()

  Cast result object to a nodelist.
  Overrides:
    nodeset in class XObject

### equals

    public boolean equals(XObject obj2)

  Tell if two objects are functionally equal.
  Overrides:
    equals in class XObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.